Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1284040 - nunit-2.6.4-11 build fail on ppc64le
Summary: nunit-2.6.4-11 build fail on ppc64le
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nunit
Version: 24
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-11-20 15:59 UTC by Ngo Than
Modified: 2016-07-07 10:32 UTC (History)
5 users (show)

Fixed In Version: nunit-2.6.4-12.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-07 10:32:03 UTC


Attachments (Terms of Use)

Description Ngo Than 2015-11-20 15:59:06 UTC
Description of problem:

nunit-2.6.4-11 build fail on ppc64le


How reproducible:
build it on secondary arch (powerpc64)

it failed with following errors:

"TestSuiteTreeView.resx,obj/Debug/NUnit.UiKit.TestSuiteTreeView.resources" 
/usr/lib/mono/4.5/Microsoft.Common.targets: error : Tool exited with code: 1. Output: Error: Exception has been thrown by the target of an invocation.
Inner exception: A null reference or invalid value was found [GDI+ status: InvalidParameter]
				Tool /usr/lib/mono/4.5/resgen.exe execution started with arguments: /useSourcePath /compile "TestTree.resx,obj/Debug/NUnit.UiKit.TestTree.resources" 
				Tool /usr/lib/mono/4.5/resgen.exe execution started with arguments: /useSourcePath /compile "TextOutputSettingsPage.resx,obj/Debug/NUnit.UiKit.TextOutputSettingsPage.resources" 
				Tool /usr/lib/mono/4.5/resgen.exe execution started with arguments: /useSourcePath /compile "TipWindow.resx,obj/Debug/CP.Windows.Forms.TipWindow.resources" 
				Tool /usr/lib/mono/4.5/resgen.exe execution started with arguments: /useSourcePath /compile "TreeBasedSettingsDialog.resx,obj/Debug/NUnit.UiKit.TreeBasedSettingsDialog.resources" 
/usr/lib/mono/4.5/Microsoft.Common.targets: error : Tool exited with code: 1. Output: Error: Exception has been thrown by the target of an invocation.
Inner exception: A null reference or invalid value was found [GDI+ status: InvalidParameter]
			Task "GenerateResource" execution -- FAILED
			Done building target "GenerateResources" in project "/builddir/build/BUILD/nunitv2-2.6.4/src/GuiComponents/UiKit/nunit.uikit.dll.csproj".-- FAILED
		Done building project "/builddir/build/BUILD/nunitv2-2.6.4/src/GuiComponents/UiKit/nunit.uikit.dll.csproj".-- FAILED
	Task "MSBuild" execution -- FAILED
	Done building target "ResolveProjectReferences" in project "/builddir/build/BUILD/nunitv2-2.6.4/src/GuiRunner/nunit-gui/nunit-gui.csproj".-- FAILED
Done building project "/builddir/build/BUILD/nunitv2-2.6.4/src/GuiRunner/nunit-gui/nunit-gui.csproj".-- FAILED
Build FAILED.
Errors:
/builddir/build/BUILD/nunitv2-2.6.4/src/GuiRunner/nunit-gui/nunit-gui.csproj (default targets) ->
/usr/lib/mono/4.5/Microsoft.Common.targets (ResolveProjectReferences target) ->
/builddir/build/BUILD/nunitv2-2.6.4/src/GuiComponents/UiKit/nunit.uikit.dll.csproj (default targets) ->
/usr/lib/mono/4.5/Microsoft.Common.targets (GenerateResources target) ->
	/usr/lib/mono/4.5/Microsoft.Common.targets: error : Tool exited with code: 1. Output: Error: Exception has been thrown by the target of an invocation.
Inner exception: A null reference or invalid value was found [GDI+ status: InvalidParameter]
	/usr/lib/mono/4.5/Microsoft.Common.targets: error : Tool exited with code: 1. Output: Error: Exception has been thrown by the target of an invocation.
Inner exception: A null reference or invalid value was found [GDI+ status: InvalidParameter]
	 0 Warning(s)
	 2 Error(s)

Comment 1 Jan Kurik 2016-02-24 14:00:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.